%global __cmake_in_source_build 1

Summary:    Binary-based efficient object serialization library
Name:       msgpack
Version:    3.1.0
Release:    5%{?dist}
License:    Boost
URL:        http://msgpack.org
Source0:    https://github.com/msgpack/msgpack-c/releases/download/cpp-%{version}/%{name}-%{version}.tar.gz

Patch3000:  0001-Fixed-724.patch

BuildRequires: make cmake gcc-c++ doxygen gtest-devel zlib-devel

%description
MessagePack is a binary-based efficient object serialization library. It enables to exchange
structured objects between many languages like JSON. But unlike JSON, it is very fast and small.

%package devel
Summary:    Libraries and header files for %{name}
Requires:    %{name} = %{version}-%{release}

%description devel
Libraries and header files for %{name}

%prep
%autosetup -p1
sed -i "s|-std=c++98|-std=gnu++14|g" CMakeLists.txt
mkdir obj

%build
pushd obj
%cmake .. \
    -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
    -Dlibdir=%{_libdir} \
    -DBUILD_SHARED_LIBS=ON \
    %{nil}
%make_build
popd

%install
%make_install -C obj

%check
pushd obj
export GTEST_FILTER=-object_with_zone.ext_empty
make test || {
    cat Testing/Temporary/LastTest.log;
    exit 1;
}
popd

%files
%license LICENSE_1_0.txt COPYING
%doc AUTHORS ChangeLog NOTICE README README.md
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/msgpack.pc
%{_libdir}/cmake/msgpack

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 14 2023 Wang Guodong <gordonwwang@tencent.com> - 3.1.0-4
- Upgrade from C++11 to C++14 for gtest

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Shuo Wang <abushwang@tencent.com> - 3.1.0-1
- initial build

